Cone

    From FreeCAD Documentation
    This page is a translated version of the page Part Cone and the translation is 4% complete.

    Part Cone.svg Part Cone

    Menu location
    Part → Primitives → Cone
    Workbenches
    Part
    Default shortcut
    None
    Introduced in version
    -
    See also
    Part Primitives

    Description

    The Part Cone.svg Part Cone command creates a parametric cone solid. In the coordinate system defined by its DadosPlacement property, the bottom face of the cone lies on the XY plane with its center at the origin.

    The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DadosRadius1 or DadosRadius2 property to zero. It can be turned into a segment of a cone by changing its DadosAngle property.

    Part Cone Example.png

    Usage

    1. There are several ways to invoke the command:
      • Press the Part Cone.svg Part Cone button.
      • Select the Part → Primitives → Part Cone.svg Cone option from the menu.
    2. The cone is created.
    3. Optionally change the dimensions and DadosPlacement of the cone by doing one of the following:
      • Double-click the object in the Tree view:
        1. The Geometric Primitives task panel opens.
        2. Change one or more properties.
        3. The object is dynamically updated in the 3D view.
        4. Press the OK button.
      • Change the properties in the Property editor.
      • Change the DadosPlacement with the Std TransformManip.svg Std TransformManip command.

    Example

    Part Cone from the scripting example

    A Part Cone object created with the scripting example below is shown here.

    Notes

    • A Part Cone can also be created with the Part Primitives.svg Part Primitives command. With that command you can specify the dimensions and placement at creation time.

    Properties

    See also: Property editor.

    A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

    Data

    Attachment

    The object has the same attachment properties as a Part Part2DObject.

    Cone

    • DadosRadius1 (Length): The radius of the bottom face of the cone. Can be 0mm if DadosRadius2 is larger than 0mm. The default is 2mm.
    • DadosRadius2 (Length): The radius of the top face of the cone. Can be 0mm if DadosRadius1 is larger than 0mm. The default is 4mm.
    • DadosHeight (Length): The height of the cone. The default is 10mm.
    • DadosAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

    Scripting

    See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

    A Part Cone can be created with the addObject() method of the document:

    cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
    
    • Where "myCone" is the name for the object.
    • The function returns the newly created object.

    Example:

    import FreeCAD as App
    
    doc = App.activeDocument()
    
    cone = doc.addObject("Part::Cone", "myCone")
    cone.Radius1 = 5
    cone.Radius2 = 10
    cone.Height = 50
    cone.Angle = 270
    cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))
    
    doc.recompute()